IHyperlinkOwner

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IHyperlinkOwner

    com.change_vision.jude.api.inf.model.IHyperlinkOwner

All Known Implementing Classes:
  INamedElement, IPresentation

public IHyperlinkOwner

Interface for elements with hyperlinks.

Method Summary
`abstract IHyperlink` | `createElementHyperlink(IElement element, String Comment)` Create an element hyperlink for model.
`abstract IHyperlink` | `createFileHyperlink(String fileName, String filePath, String Comment)` Create a file hyperlink for model.
`abstract IHyperlink` | `createURLHyperlink(String URL, String Comment)` Create a URL hyperlink for model.
`abstract void` | `deleteHyperlink(IHyperlink hyperlink)` Delete a hyperlink from model.
`abstract IHyperlink[]` | `getHyperlinks()` Get hyperlinks.

Method Detail

### getHyperlinks

    public abstract IHyperlink[] getHyperlinks()

  Get hyperlinks.

  Returns:
    the array of IHyperlinks

### createFileHyperlink

    public abstract IHyperlink createFileHyperlink(String fileName,
                                                   String filePath,
                                                   String Comment)

  Create a file hyperlink for model.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              INVALID_HYPERLINK_MODEL_ERROR_KEY - if a hyperlink cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createURLHyperlink

    public abstract IHyperlink createURLHyperlink(String URL,
                                                  String Comment)

  Create a URL hyperlink for model.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              INVALID_HYPERLINK_MODEL_ERROR_KEY - if a hyperlink cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createElementHyperlink

    public abstract IHyperlink createElementHyperlink(IElement element,
                                                      String Comment)

  Create an element hyperlink for model.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              INVALID_HYPERLINK_MODEL_ERROR_KEY - if a hyperlink cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### deleteHyperlink

    public abstract void deleteHyperlink(IHyperlink hyperlink)

  Delete a hyperlink from model.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              INVALID_HYPERLINK_MODEL_ERROR_KEY - if a hyperlink cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD